package com.usky.iot.service.vo;

import com.usky.iot.domain.DmpProductAttribute;
import lombok.Data;

import java.util.List;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/2/7
 */
@Data
public class DmpTopicResponseVO {

    /**
     * topic
     **/
    private String topic;

    /**
     * 发布者
     **/
    private String publisher;

    /**
     * 订阅者
     **/
    private String subscriber;

    /**
     * 备注
     **/
    private String remarks;

    /**
     * mqtt数据上报数据
     **/
    private String topicPayload;

    /**
     * http报警数据上报地址
     **/
    private String alarm;

    /**
     * http报警数据上报数据
     **/
    private String alarmPayload;

    /**
     * 产品属性
     **/
    private List<DmpProductAttribute> productAttributeList;

}
